Bug 1755274 - "pinta" package lacks dependencies
Summary: "pinta" package lacks dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mono
Version: 31
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Timotheus Pokorra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-25 08:16 UTC by Juan Simón
Modified: 2019-10-26 17:21 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-26 17:20:26 UTC
Type: Bug


Attachments (Terms of Use)

Description Juan Simón 2019-09-25 08:16:04 UTC
$ sudo dnf install pinta -y                                                                           Last metadata expiration check: 0:11:10 ago on Wed Sep 25 09:56:35 2019.
Dependencies resolved.
================================================================================
 Package             Architecture   Version                Repository      Size
================================================================================
Installing:
 pinta               x86_64         1.6-14.fc31            fedora         784 k
Installing dependencies:
 mono-addins         x86_64         1.1-11.fc31            fedora         440 k

Transaction Summary
================================================================================
Install  2 Packages

Total download size: 1.2 M
Installed size: 3.7 M
Downloading Packages:
(1/2): mono-addins-1.1-11.fc31.x86_64.rpm       3.1 MB/s | 440 kB     00:00    
(2/2): pinta-1.6-14.fc31.x86_64.rpm             4.0 MB/s | 784 kB     00:00    
--------------------------------------------------------------------------------
Total                                           1.6 MB/s | 1.2 MB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                        1/1 
  Installing       : mono-addins-1.1-11.fc31.x86_64                         1/2 
  Installing       : pinta-1.6-14.fc31.x86_64                               2/2 
  Running scriptlet: pinta-1.6-14.fc31.x86_64                               2/2 
  Verifying        : mono-addins-1.1-11.fc31.x86_64                         1/2 
  Verifying        : pinta-1.6-14.fc31.x86_64                               2/2 

Installed:
  pinta-1.6-14.fc31.x86_64            mono-addins-1.1-11.fc31.x86_64           

Complete!

The first problem is that the package does not install the necessary dependencies:

$ pinta
/usr/bin/pinta: line 5: /usr/bin/mono: No such file or directory

I install "mono-core" package but:

$ pinta
Unhandled Exception:
System.IO.FileNotFoundException: Could not load file or assembly 'glib-sharp, Version=2.12.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' or one of its dependencies.
File name: 'glib-sharp, Version=2.12.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f'
[ERROR] FATAL UNHANDLED EXCEPTION: System.IO.FileNotFoundException: Could not load file or assembly 'glib-sharp, Version=2.12.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' or one of its dependencies.
File name: 'glib-sharp, Version=2.12.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f'

I have to install "gtk-sharp2" too.

In short, the "pinta" package lacks dependencies: mono-core and gtk-sharp2.

Comment 1 Andrea Musuruane 2019-09-25 09:21:56 UTC
On my F30 system dependencies are satisfied. 

Since I don't have a F31 system available, can you please report the output of:
# rpm -q --requires pinta

Thanks!

Comment 2 Juan Simón 2019-09-25 09:24:16 UTC
/usr/bin/sh
hicolor-icon-theme
mono-addins
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsZstd) <= 5.4.18-1

Comment 3 Andrea Musuruane 2019-09-25 09:27:36 UTC
There is definitely something wrong on F31:

# rpm -q --requires pinta
/usr/bin/sh
hicolor-icon-theme
mono(ICSharpCode.SharpZipLib) = 4.84.0.0
mono(Mono.Addins) = 1.0.0.0
mono(Mono.Addins.Gui) = 1.0.0.0
mono(Mono.Addins.Setup) = 1.0.0.0
mono(Mono.Cairo) = 4.0.0.0
mono(Mono.Posix) = 4.0.0.0
mono(Pinta.Core) = 1.6.0.0
mono(Pinta.Gui.Widgets) = 1.6.0.0
mono(Pinta.Resources) = 1.6.0.0
mono(System) = 4.0.0.0
mono(System.Core) = 4.0.0.0
mono(System.Xml) = 4.0.0.0
mono(gdk-sharp) = 2.12.0.0
mono(glib-sharp) = 2.12.0.0
mono(gtk-sharp) = 2.12.0.0
mono(mscorlib) = 4.0.0.0
mono(pango-sharp) = 2.12.0.0
mono-addins
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

Comment 4 Andrea Musuruane 2019-09-25 17:19:17 UTC
I asked for advice on the devel ML:
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/KZWBOX6DLZA7VCUZLA6W7BBI2DNNNKJ4/

It was likely a bug in the mono package that seems solved. 

I rebuilt pinta for F31+.

Packages should appear soon in updates-testing.

Comment 5 Fedora Update System 2019-09-25 17:20:29 UTC
FEDORA-2019-1d7e1d4528 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d7e1d4528

Comment 6 Fedora Update System 2019-09-26 02:56:17 UTC
pinta-1.6-15.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1d7e1d4528

Comment 7 P D 2019-09-30 16:05:40 UTC
Still not fixed.

 Problem: cannot install the best candidate for the job
  - nothing provides mono(Mono.Addins) = 1.0.0.0 needed by pinta-1.6-15.fc31.x86_64
  - nothing provides mono(Mono.Addins.Gui) = 1.0.0.0 needed by pinta-1.6-15.fc31.x86_64
  - nothing provides mono(Mono.Addins.Setup) = 1.0.0.0 needed by pinta-1.6-15.fc31.x86_64

Comment 8 Andrea Musuruane 2019-10-01 15:33:54 UTC
Summarizing, before rebuilding pinta missed mono dependencies. After rebuilding, dependencies are there but dnf cannot pick them up.

Reassigning to mono, as suggested on fedora-devel, to understand what's going wrong.

Comment 9 Timotheus Pokorra 2019-10-02 20:26:15 UTC
I will rebuild the mono-addins package for Fedora 31 and Rawhide.

Comment 10 Fedora Update System 2019-10-02 20:46:03 UTC
FEDORA-2019-625bd27d6c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-625bd27d6c

Comment 11 Fedora Update System 2019-10-03 03:20:03 UTC
mono-addins-1.1-12.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-625bd27d6c

Comment 12 Andrea Musuruane 2019-10-12 10:00:24 UTC
Did someone test installing pinta in F31 upudates-testing after rebuilding mono-addins? Can I push pinta to stable?

Comment 13 P D 2019-10-12 13:27:11 UTC
Yes, it's installable and works now in Fedora 31. Thanks.

Comment 14 Fedora Update System 2019-10-26 17:20:26 UTC
pinta-1.6-15.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-10-26 17:21:35 UTC
mono-addins-1.1-12.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.